# -*- encoding: utf-8 -*-
# -----------------------------------------------------------------------------
# @File Name  : app.py
# @Time       : 2020/11/18 下午12:45
# @Author     : X. Peng
# @Email      : acepengxiong@163.com
# @Software   : PyCharm
# -----------------------------------------------------------------------------

from flask import Flask
from flask_restful import Api

from app.controller.errorhandler import add_errorhandler
from app.router.version1 import add_route

app = Flask(__name__)
app.config["JSON_AS_ASCII"] = False
app.config.update(RESTFUL_JSON=dict(ensure_ascii=False))
api = Api(app)
add_route(api)
add_errorhandler(app)

