# -*- encoding: utf-8 -*-
# -----------------------------------------------------------------------------
# @File Name  : account_balance.py
# @Time       : 2020/11/24 上午10:36
# @Author     : X. Peng
# @Email      : acepengxiong@163.com
# @Software   : PyCharm
# -----------------------------------------------------------------------------

from sqlalchemy import Column, BigInteger, Integer, String, DateTime, Float, text
from sqlalchemy.sql import func
from app.model.base import Base
from app.model.base import BaseModel
import time

class AccountBalance(Base, BaseModel):
    """账户余额表"""
    __tablename__ = 'account_balance'

    id = Column(String(64), primary_key=True)
    user_id = Column(String(64), server_default='', comment='用户ID')
    android_balance = Column(Integer, server_default=text('0'), comment='安卓探普贝余额')
    apple_balance = Column(Integer, server_default=text('0'), comment='苹果探普贝余额')
    del_flag = Column(Integer, server_default=text('0'), comment='是否删除,0:未删除,1:已删除')

