# -*- encoding: utf-8 -*-
# -----------------------------------------------------------------------------
# @File Name  : balance_change_record.py
# @Time       : 2020/11/24 上午10:41
# @Author     : X. Peng
# @Email      : acepengxiong@163.com
# @Software   : PyCharm
# -----------------------------------------------------------------------------

from sqlalchemy import Column, BigInteger, Integer, String, DateTime, Float, text
from sqlalchemy.sql import func
from app.model.base import Base
from app.model.base import BaseModel
import time

class BalanceChangeRecord(Base, BaseModel):
    """账户余额变动表"""
    __tablename__ = 'balance_change_record'

    id = Column(String(64), default=__tablename__ + str(int(time.time() * 10000)), primary_key=True)
    user_id = Column(String(64), server_default='', comment='用户ID')
    change_type = Column(Integer, server_default=text('0'), comment='变动类型：1：充值，2：消费')
    change_ref_order_id = Column(String(64), server_default='', comment='变动关联订单ID')
    change_amount = Column(Integer, server_default=text('0'), comment='变动金额')
    android_balance = Column(Integer, server_default=text('0'), comment='变动后安卓探普贝余额')
    apple_balance = Column(Integer, server_default=text('0'), comment='变动后苹果探普贝余额')
    del_flag = Column(Integer, server_default=text('0'), comment='是否删除,0:未删除,1:已删除')
