# -*- encoding: utf-8 -*-
# -----------------------------------------------------------------------------
# @File Name  : curriculum_order.py
# @Time       : 2020/11/18 下午3:11
# @Author     : X. Peng
# @Email      : acepengxiong@163.com
# @Software   : PyCharm
# -----------------------------------------------------------------------------
from sqlalchemy import Column, BigInteger, Integer, String, DateTime, Float, text, BIGINT
from sqlalchemy.sql import func
from app.model.base import Base
from app.model.base import BaseModel
import time

# class CurriculumOrder(Base, BaseModel):
#     """课程订单表"""
#     __tablename__ = 'curriculum_order'
#
#     id = Column(String(64), primary_key=True)
#     order_no = Column(String(50), comment='订单号')
#     transaction_serial_no = Column(String(50), server_default='', comment='交易流水号')
#     prod_type = Column(String(200), comment='商品类型1：栏目 3：直播 4：视频 5 音频')
#     prod_name = Column(String(200), comment='商品名称')
#     prod_id = Column(String(200), comment='商品ID')
#     prod_quantity = Column(Integer, server_default=text('1'), comment='数量')
#     amount = Column(BigInteger, comment='订单总额')
#     user_id = Column(String(100), comment='用户ID')
#     order_status = Column(Integer, server_default=text('0'), comment='订单状态：0:未支付，1:已支付，2:已退款')
#     pay_method = Column(Integer, server_default=text('1'), comment='支付方式：1:探普贝，2:微信支付，3:支付宝支付，4:苹果支付')
#     create_time = Column(DateTime(timezone=True), server_default=func.now(), comment='创建时间')
#     pay_time = Column(DateTime(timezone=True), server_default=func.now(), comment='付款时间')
#     complete_time = Column(DateTime(timezone=True), server_default=func.now(), comment='完成时间')
#     del_flag = Column(Integer, server_default=text('0'), comment='是否删除,0:未删除,1:已删除')

class OrderFlow(Base, BaseModel):
    __tablename__ = 'order_flow'

    id = Column(String(64), primary_key=True, server_default=text("''"), comment='唯一主键')
    ab_ordernum = Column(String(128), comment='订单号')
    ab_price = Column(BIGINT, comment='产品价格')
    ab_score = Column(BIGINT, comment='积分')
    ab_score_deduct = Column(BIGINT, comment='积分抵扣')
    ab_account_deduct = Column(BIGINT, comment='账户余额抵扣')
    ab_payment = Column(BIGINT, comment='支付通道付款金额')
    ab_pay_mode = Column(String(3), comment='支付方式 1:免费,2:积分,3现金,4:探普贝，5:app微信支付，6:支付宝支付，7:苹果支付')
    ab_total_money = Column(BIGINT, comment='订单总额')
    ab_type = Column(String(3), comment='产品类型 购买类型  1：栏目  3：直播 4：视频  5 音频 6:探普呗')
    ab_proid = Column(String(64), comment='产品ID')
    ab_pro_siid = Column(String(64), comment='产品规格ID')
    ab_si_type = Column(String(3), comment='购买类型')
    ab_si_name = Column(String(32), comment='产品规格规格名称')
    ab_si_code = Column(String(16), comment='产品规格规格编码')
    ab_si_pattern = Column(String(3), comment='产品规格定价模式')
    ab_status = Column(String(16), comment='状态 WAIT:待支付 SUCCESS：支付成功 FAIL：支付失败 CANCEL：取消交易')
    ab_rights_status = Column(String(3), comment='权益分配状态')
    createtime = Column(DateTime, default=func.now(), comment='创建时间')
    createby = Column(String(64), comment='创建人')
    pay_time = Column(DateTime(timezone=True), default=func.now(), comment='付款时间')
    complete_time = Column(DateTime(timezone=True), default=func.now(), comment='完成时间')
    updatetime = Column(DateTime, comment='修改时间')
    updateby = Column(String(64), comment='修改人')
    deletetag = Column(String(3), default="0", comment='删除标识')
    unionid = Column(String(64), comment='微信unionid')
    transaction_serial_no = Column(String(64), comment='交易流水号')
